Open SCAP Library

Public Member Functions | Data Fields
oval_message Struct Reference
OVAL » OVALSYS

OVAL message. More...

`#include <oval_system_characteristics.h>`

## Public Member Functions
struct oval_message * | oval_message_new (void)
struct oval_message * | oval_message_clone (struct oval_message *old_message)
void | oval_message_free (struct oval_message *)
Setters
void | oval_message_set_text (struct oval_message *, char *)
void | oval_message_set_level (struct oval_message *, oval_message_level_t)
Getters
char * | oval_message_get_text (struct oval_message *message)
| Get OVAL message text.
oval_message_level_t | oval_message_get_level (struct oval_message *message)
| Get OVAL message level.

## Data Fields
void * | model
char * | text
oval_message_level_t | level

## Detailed Description

OVAL message.

The documentation for this struct was generated from the following files:

- oval_message.c
- oval_system_characteristics.h